<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.12.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>kmCommon: X:/kmCommonDefs.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">kmCommon
   </div>
   <div id="projectbrief">kmCommon library for AVR</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.12.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() { codefold.init(0); });
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search',true);
  $(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function(){initNavTree('km_common_defs_8h_source.html',''); initResizable(true); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">X:/kmCommonDefs.h</div></div>
</div><!--header-->
<div class="contents">
<a href="km_common_defs_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/*</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment">This is an independent project of an individual developer. Dear PVS-Studio, please check it.</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment">PVS-Studio Static Code Analyzer for C, C++, C#, and Java: http://www.viva64.com</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment">*/</span></div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span><span class="preprocessor">#ifndef KM_COMMON_DEFS_H_</span></div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span><span class="preprocessor">#define KM_COMMON_DEFS_H_</span></div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span> </div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno"><a class="line" href="km_common_defs_8h.html#aae9131e49e1a70ddd3553c9675f5ffcb">   45</a></span><span class="preprocessor">#define KMC_VALUE_TO_STRING(x) #x</span></div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span> </div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno"><a class="line" href="km_common_defs_8h.html#ad80e356747d976a14f58ae2cd88bd75e">   55</a></span><span class="preprocessor">#define KMC_VALUE(x) KMC_VALUE_TO_STRING(x)</span></div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span> </div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno"><a class="line" href="km_common_defs_8h.html#a324c0391d0bbdc4ae0e89bbf2a12304d">   66</a></span><span class="preprocessor">#define KMC_VAR_NAME_VALUE(var) #var &quot;=&quot;  KMC_VALUE(var)</span></div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span> </div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno"><a class="line" href="km_common_defs_8h.html#af4ae2bd7db4825524ef32840b10ed3ff">   75</a></span><span class="preprocessor">#define KMC_MIN(A,B)    ({ __typeof__(A) __a = (A); __typeof__(B) __b = (B); __a &lt; __b ? __a : __b; })</span></div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span> </div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno"><a class="line" href="km_common_defs_8h.html#adc81a21527ba9134193dd6edc7a714a1">   84</a></span><span class="preprocessor">#define KMC_MAX(A,B)    ({ __typeof__(A) __a = (A); __typeof__(B) __b = (B); __a &lt; __b ? __b : __a; })</span></div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span> </div>
<div class="foldopen" id="foldopen00095" data-start="" data-end="">
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno"><a class="line" href="km_common_defs_8h.html#adee3c57f4c636e61dcc0d405188b54b2">   95</a></span><span class="preprocessor">#define KMC_CLAMP(x, low, high) ({\</span></div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span><span class="preprocessor">    __typeof__(x) __x = (x); \</span></div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span><span class="preprocessor">    __typeof__(low) __low = (low);\</span></div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span><span class="preprocessor">    __typeof__(high) __high = (high);\</span></div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span><span class="preprocessor">    __x &gt; __high ? __high : (__x &lt; __low ? __low : __x);\</span></div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span><span class="preprocessor">})</span></div>
</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span> </div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno"><a class="line" href="km_common_defs_8h.html#a6f1271bf1276df4fb7883ea6eaeafbc8">  130</a></span><span class="preprocessor">#define KMC_ARRAY_SIZE(a) (sizeof(a) / sizeof((a)[0]))</span></div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span> </div>
<div class="foldopen" id="foldopen00148" data-start="" data-end="">
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno"><a class="line" href="km_common_defs_8h.html#aa7e307660f3dff077b1062a0589df4b5">  148</a></span><span class="preprocessor">#define KMC_UINT8_TO_BINARY_STRING(byte) \</span></div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno">  149</span><span class="preprocessor">    ( \</span></div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno">  150</span><span class="preprocessor">        ((byte) &amp; 0x80 ? &#39;1&#39; : &#39;0&#39;), \</span></div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno">  151</span><span class="preprocessor">        ((byte) &amp; 0x40 ? &#39;1&#39; : &#39;0&#39;), \</span></div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno">  152</span><span class="preprocessor">        ((byte) &amp; 0x20 ? &#39;1&#39; : &#39;0&#39;), \</span></div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno">  153</span><span class="preprocessor">        ((byte) &amp; 0x10 ? &#39;1&#39; : &#39;0&#39;), \</span></div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno">  154</span><span class="preprocessor">        ((byte) &amp; 0x08 ? &#39;1&#39; : &#39;0&#39;), \</span></div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno">  155</span><span class="preprocessor">        ((byte) &amp; 0x04 ? &#39;1&#39; : &#39;0&#39;), \</span></div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno">  156</span><span class="preprocessor">        ((byte) &amp; 0x02 ? &#39;1&#39; : &#39;0&#39;), \</span></div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno">  157</span><span class="preprocessor">        ((byte) &amp; 0x01 ? &#39;1&#39; : &#39;0&#39;), \</span></div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno">  158</span><span class="preprocessor">        &#39;\0&#39; \</span></div>
<div class="line"><a id="l00159" name="l00159"></a><span class="lineno">  159</span><span class="preprocessor">    )</span></div>
</div>
<div class="line"><a id="l00160" name="l00160"></a><span class="lineno">  160</span> </div>
<div class="foldopen" id="foldopen00177" data-start="" data-end="">
<div class="line"><a id="l00177" name="l00177"></a><span class="lineno"><a class="line" href="km_common_defs_8h.html#a74dd4d6ddaafe8bfa3cf7abd7fea92ff">  177</a></span><span class="preprocessor">#define KMC_UINT16_TO_BINARY_STRING(byte) \</span></div>
<div class="line"><a id="l00178" name="l00178"></a><span class="lineno">  178</span><span class="preprocessor">    ( \</span></div>
<div class="line"><a id="l00179" name="l00179"></a><span class="lineno">  179</span><span class="preprocessor">        ((byte) &amp; 0x8000 ? &#39;1&#39; : &#39;0&#39;), \</span></div>
<div class="line"><a id="l00180" name="l00180"></a><span class="lineno">  180</span><span class="preprocessor">        ((byte) &amp; 0x4000 ? &#39;1&#39; : &#39;0&#39;), \</span></div>
<div class="line"><a id="l00181" name="l00181"></a><span class="lineno">  181</span><span class="preprocessor">        ((byte) &amp; 0x2000 ? &#39;1&#39; : &#39;0&#39;), \</span></div>
<div class="line"><a id="l00182" name="l00182"></a><span class="lineno">  182</span><span class="preprocessor">        ((byte) &amp; 0x1000 ? &#39;1&#39; : &#39;0&#39;), \</span></div>
<div class="line"><a id="l00183" name="l00183"></a><span class="lineno">  183</span><span class="preprocessor">        ((byte) &amp; 0x0800 ? &#39;1&#39; : &#39;0&#39;), \</span></div>
<div class="line"><a id="l00184" name="l00184"></a><span class="lineno">  184</span><span class="preprocessor">        ((byte) &amp; 0x0400 ? &#39;1&#39; : &#39;0&#39;), \</span></div>
<div class="line"><a id="l00185" name="l00185"></a><span class="lineno">  185</span><span class="preprocessor">        ((byte) &amp; 0x0200 ? &#39;1&#39; : &#39;0&#39;), \</span></div>
<div class="line"><a id="l00186" name="l00186"></a><span class="lineno">  186</span><span class="preprocessor">        ((byte) &amp; 0x0100 ? &#39;1&#39; : &#39;0&#39;), \</span></div>
<div class="line"><a id="l00187" name="l00187"></a><span class="lineno">  187</span><span class="preprocessor">        ((byte) &amp; 0x80 ? &#39;1&#39; : &#39;0&#39;), \</span></div>
<div class="line"><a id="l00188" name="l00188"></a><span class="lineno">  188</span><span class="preprocessor">        ((byte) &amp; 0x40 ? &#39;1&#39; : &#39;0&#39;), \</span></div>
<div class="line"><a id="l00189" name="l00189"></a><span class="lineno">  189</span><span class="preprocessor">        ((byte) &amp; 0x20 ? &#39;1&#39; : &#39;0&#39;), \</span></div>
<div class="line"><a id="l00190" name="l00190"></a><span class="lineno">  190</span><span class="preprocessor">        ((byte) &amp; 0x10 ? &#39;1&#39; : &#39;0&#39;), \</span></div>
<div class="line"><a id="l00191" name="l00191"></a><span class="lineno">  191</span><span class="preprocessor">        ((byte) &amp; 0x08 ? &#39;1&#39; : &#39;0&#39;), \</span></div>
<div class="line"><a id="l00192" name="l00192"></a><span class="lineno">  192</span><span class="preprocessor">        ((byte) &amp; 0x04 ? &#39;1&#39; : &#39;0&#39;), \</span></div>
<div class="line"><a id="l00193" name="l00193"></a><span class="lineno">  193</span><span class="preprocessor">        ((byte) &amp; 0x02 ? &#39;1&#39; : &#39;0&#39;), \</span></div>
<div class="line"><a id="l00194" name="l00194"></a><span class="lineno">  194</span><span class="preprocessor">        ((byte) &amp; 0x01 ? &#39;1&#39; : &#39;0&#39;), \</span></div>
<div class="line"><a id="l00195" name="l00195"></a><span class="lineno">  195</span><span class="preprocessor">        &#39;\0&#39; \</span></div>
<div class="line"><a id="l00196" name="l00196"></a><span class="lineno">  196</span><span class="preprocessor">    )</span></div>
</div>
<div class="line"><a id="l00197" name="l00197"></a><span class="lineno">  197</span> </div>
<div class="line"><a id="l00198" name="l00198"></a><span class="lineno">  198</span> </div>
<div class="line"><a id="l00203" name="l00203"></a><span class="lineno">  203</span><span class="preprocessor">#define KMC_SIGNED_ZERO 0x00u</span></div>
<div class="line"><a id="l00204" name="l00204"></a><span class="lineno">  204</span> </div>
<div class="line"><a id="l00209" name="l00209"></a><span class="lineno"><a class="line" href="km_common_defs_8h.html#a31a907ad6c4742a1819ab3d1ddcb0f9d">  209</a></span><span class="preprocessor">#define KMC_UNSIGNED_ZERO 0x00u</span></div>
<div class="line"><a id="l00210" name="l00210"></a><span class="lineno">  210</span> </div>
<div class="line"><a id="l00215" name="l00215"></a><span class="lineno"><a class="line" href="km_common_defs_8h.html#a90345e592de3ffc92c261003fb687e56">  215</a></span><span class="preprocessor">#define KMC_INDEX_ZERO KMC_UNSIGNED_ZERO</span></div>
<div class="line"><a id="l00216" name="l00216"></a><span class="lineno">  216</span> </div>
<div class="line"><a id="l00221" name="l00221"></a><span class="lineno"><a class="line" href="km_common_defs_8h.html#abd89b93a847765587148ab96a7dca129">  221</a></span><span class="preprocessor">#define KMC_UNSIGNED_ONE 0x01u</span></div>
<div class="line"><a id="l00222" name="l00222"></a><span class="lineno">  222</span> </div>
<div class="line"><a id="l00227" name="l00227"></a><span class="lineno"><a class="line" href="km_common_defs_8h.html#ac83447179a3c515afc75b6a0f68414b1">  227</a></span><span class="preprocessor">#define KMC_SIGNED_ONE 0x01</span></div>
<div class="line"><a id="l00228" name="l00228"></a><span class="lineno">  228</span> </div>
<div class="line"><a id="l00233" name="l00233"></a><span class="lineno"><a class="line" href="km_common_defs_8h.html#aac329999bc8534ac2e434397d8f5dc6f">  233</a></span><span class="preprocessor">#define KMC_SIGNED_MINUS_ONE -1</span></div>
<div class="line"><a id="l00234" name="l00234"></a><span class="lineno">  234</span> </div>
<div class="line"><a id="l00239" name="l00239"></a><span class="lineno"><a class="line" href="km_common_defs_8h.html#a7a8f4239c5ad41602c910e30c6733b09">  239</a></span><span class="preprocessor">#define KMC_INDEX_INCREASE 0x01u</span></div>
<div class="line"><a id="l00240" name="l00240"></a><span class="lineno">  240</span> </div>
<div class="line"><a id="l00245" name="l00245"></a><span class="lineno">  245</span><span class="preprocessor">#define KMC_INDEX_DECREASE 0x01u</span></div>
<div class="line"><a id="l00246" name="l00246"></a><span class="lineno">  246</span> </div>
<div class="line"><a id="l00251" name="l00251"></a><span class="lineno"><a class="line" href="km_common_defs_8h.html#ad8cda6c6e797c1b5cf0d741b1fe07195">  251</a></span><span class="preprocessor">#define KMC_ALL_BITS_CLEARED 0x00u</span></div>
<div class="line"><a id="l00252" name="l00252"></a><span class="lineno">  252</span> </div>
<div class="line"><a id="l00257" name="l00257"></a><span class="lineno"><a class="line" href="km_common_defs_8h.html#af581a18e71b623e7ec68bd5b8f970943">  257</a></span><span class="preprocessor">#define KMC_4_OUT_OF_8_BIT_MASK_LO 0x0fu</span></div>
<div class="line"><a id="l00258" name="l00258"></a><span class="lineno">  258</span> </div>
<div class="line"><a id="l00263" name="l00263"></a><span class="lineno"><a class="line" href="km_common_defs_8h.html#aab5ba6b0fcc6b8a6a69def0c5518f10c">  263</a></span><span class="preprocessor">#define KMC_4_OUT_OF_8_BIT_MASK_HI 0xf0u</span></div>
<div class="line"><a id="l00264" name="l00264"></a><span class="lineno">  264</span> </div>
<div class="line"><a id="l00269" name="l00269"></a><span class="lineno"><a class="line" href="km_common_defs_8h.html#a063598fd9b2c6e76ce678a294cb52421">  269</a></span><span class="preprocessor">#define KMC_7_OUT_OF_16_BIT_MASK_LO 0x7fu</span></div>
<div class="line"><a id="l00270" name="l00270"></a><span class="lineno">  270</span> </div>
<div class="line"><a id="l00275" name="l00275"></a><span class="lineno"><a class="line" href="km_common_defs_8h.html#a268882398039ffbf99d61e83f0e7782d">  275</a></span><span class="preprocessor">#define KMC_8_OUT_OF_16_BIT_MASK_LO 0xffu</span></div>
<div class="line"><a id="l00276" name="l00276"></a><span class="lineno">  276</span> </div>
<div class="line"><a id="l00281" name="l00281"></a><span class="lineno"><a class="line" href="km_common_defs_8h.html#a6fbe1e63402cf99533794d1cc25e2a34">  281</a></span><span class="preprocessor">#define KMC_8_OUT_OF_16_BIT_MASK_HI 0xff00u</span></div>
<div class="line"><a id="l00282" name="l00282"></a><span class="lineno">  282</span> </div>
<div class="line"><a id="l00287" name="l00287"></a><span class="lineno"><a class="line" href="km_common_defs_8h.html#abbc54dae08ff5d12972cb5a47362cdc7">  287</a></span><span class="preprocessor">#define KMC_16_OUT_OF_32_BIT_MASK_LO 0xffffu</span></div>
<div class="line"><a id="l00288" name="l00288"></a><span class="lineno">  288</span> </div>
<div class="line"><a id="l00293" name="l00293"></a><span class="lineno"><a class="line" href="km_common_defs_8h.html#a4346e2d3b548200f6cb0b5334eeaba89">  293</a></span><span class="preprocessor">#define KMC_16_OUT_OF_32_BIT_MASK_HI 0xffff0000u</span></div>
<div class="line"><a id="l00294" name="l00294"></a><span class="lineno">  294</span> </div>
<div class="line"><a id="l00299" name="l00299"></a><span class="lineno"><a class="line" href="km_common_defs_8h.html#aec333388124cb6af61b42e7b0c9665bf">  299</a></span><span class="preprocessor">#define KMC_7_BIT_SHIFT 0x07u</span></div>
<div class="line"><a id="l00300" name="l00300"></a><span class="lineno">  300</span> </div>
<div class="line"><a id="l00305" name="l00305"></a><span class="lineno"><a class="line" href="km_common_defs_8h.html#a76ffb72523be056eb871dccd9ccdbd58">  305</a></span><span class="preprocessor">#define KMC_8_BIT_SHIFT 0x08u</span></div>
<div class="line"><a id="l00306" name="l00306"></a><span class="lineno">  306</span> </div>
<div class="line"><a id="l00311" name="l00311"></a><span class="lineno"><a class="line" href="km_common_defs_8h.html#ad03e031783cbc0ec6bec499cf61742fb">  311</a></span><span class="preprocessor">#define KMC_9_BIT_SHIFT 0x09u</span></div>
<div class="line"><a id="l00312" name="l00312"></a><span class="lineno">  312</span> </div>
<div class="line"><a id="l00317" name="l00317"></a><span class="lineno"><a class="line" href="km_common_defs_8h.html#a214a2a4ff84bd9ab6e5d823e82b99d69">  317</a></span><span class="preprocessor">#define KMC_4_BIT_SHIFT 0x04u</span></div>
<div class="line"><a id="l00318" name="l00318"></a><span class="lineno">  318</span> </div>
<div class="line"><a id="l00323" name="l00323"></a><span class="lineno"><a class="line" href="km_common_defs_8h.html#a3b598e7bfe6c68cc1eb3d0f88bba2fbc">  323</a></span><span class="preprocessor">#define KMC_1_BIT_SHIFT 0x01u</span></div>
<div class="line"><a id="l00324" name="l00324"></a><span class="lineno">  324</span> </div>
<div class="line"><a id="l00329" name="l00329"></a><span class="lineno"><a class="line" href="km_common_defs_8h.html#a6b75ba9c33ed93a082dbcd0d82ced0c9">  329</a></span><span class="preprocessor">#define KMC_DIV_BY_2 0x01u</span></div>
<div class="line"><a id="l00330" name="l00330"></a><span class="lineno">  330</span> </div>
<div class="line"><a id="l00335" name="l00335"></a><span class="lineno"><a class="line" href="km_common_defs_8h.html#a196281f559a94d97864d05594be4f0c3">  335</a></span><span class="preprocessor">#define KMC_DIV_BY_4 0x02u</span></div>
<div class="line"><a id="l00336" name="l00336"></a><span class="lineno">  336</span> </div>
<div class="line"><a id="l00341" name="l00341"></a><span class="lineno"><a class="line" href="km_common_defs_8h.html#ac730e2a8665f393221200717e97044b0">  341</a></span><span class="preprocessor">#define KMC_DIV_BY_8 0x03u</span></div>
<div class="line"><a id="l00342" name="l00342"></a><span class="lineno">  342</span> </div>
<div class="line"><a id="l00347" name="l00347"></a><span class="lineno"><a class="line" href="km_common_defs_8h.html#a786dd87df96cbcd8247e0ffe5ffeddc1">  347</a></span><span class="preprocessor">#define KMC_DIV_BY_16 0x04u</span></div>
<div class="line"><a id="l00348" name="l00348"></a><span class="lineno">  348</span> </div>
<div class="line"><a id="l00353" name="l00353"></a><span class="lineno"><a class="line" href="km_common_defs_8h.html#a23a5f56eee5a7a02a7bca8e8acb2f823">  353</a></span><span class="preprocessor">#define KMC_DIV_BY_32 0x05u</span></div>
<div class="line"><a id="l00354" name="l00354"></a><span class="lineno">  354</span> </div>
<div class="line"><a id="l00359" name="l00359"></a><span class="lineno"><a class="line" href="km_common_defs_8h.html#aafd34d5fa4a7608e2709b50753be62fd">  359</a></span><span class="preprocessor">#define KMC_DIV_BY_64 0x06u</span></div>
<div class="line"><a id="l00360" name="l00360"></a><span class="lineno">  360</span> </div>
<div class="line"><a id="l00365" name="l00365"></a><span class="lineno"><a class="line" href="km_common_defs_8h.html#a80ea58834bcaee4a2dc03c47aa3da1e9">  365</a></span><span class="preprocessor">#define KMC_DIV_BY_128 0x07u</span></div>
<div class="line"><a id="l00366" name="l00366"></a><span class="lineno">  366</span> </div>
<div class="line"><a id="l00371" name="l00371"></a><span class="lineno"><a class="line" href="km_common_defs_8h.html#a7c87209c58d1089fc7453a09fa4b213f">  371</a></span><span class="preprocessor">#define KMC_DIV_BY_256 0x08u</span></div>
<div class="line"><a id="l00372" name="l00372"></a><span class="lineno">  372</span> </div>
<div class="line"><a id="l00377" name="l00377"></a><span class="lineno">  377</span><span class="preprocessor">#define KMC_DIV_BY_65536 0x10u</span></div>
<div class="line"><a id="l00378" name="l00378"></a><span class="lineno">  378</span> </div>
<div class="line"><a id="l00383" name="l00383"></a><span class="lineno"><a class="line" href="km_common_defs_8h.html#a774eeb710a4eb58d7f8d67287d9fe7f9">  383</a></span><span class="preprocessor">#define KMC_MULT_BY_2 0x01u</span></div>
<div class="line"><a id="l00384" name="l00384"></a><span class="lineno">  384</span> </div>
<div class="line"><a id="l00389" name="l00389"></a><span class="lineno"><a class="line" href="km_common_defs_8h.html#add6614aa7d6d3fba44995461a1f4d961">  389</a></span><span class="preprocessor">#define KMC_MULT_BY_4 0x02u</span></div>
<div class="line"><a id="l00390" name="l00390"></a><span class="lineno">  390</span> </div>
<div class="line"><a id="l00395" name="l00395"></a><span class="lineno"><a class="line" href="km_common_defs_8h.html#aad3584f2e9cbb1e0e78f1d497e51c885">  395</a></span><span class="preprocessor">#define KMC_MULT_BY_8 0x03u</span></div>
<div class="line"><a id="l00396" name="l00396"></a><span class="lineno">  396</span> </div>
<div class="line"><a id="l00401" name="l00401"></a><span class="lineno"><a class="line" href="km_common_defs_8h.html#a728f43db60f9e269d82c8570e5e0fcb5">  401</a></span><span class="preprocessor">#define KMC_MULT_BY_16 0x04u</span></div>
<div class="line"><a id="l00402" name="l00402"></a><span class="lineno">  402</span> </div>
<div class="line"><a id="l00407" name="l00407"></a><span class="lineno"><a class="line" href="km_common_defs_8h.html#af6277f03cf4a7043fb9c3cd72407e561">  407</a></span><span class="preprocessor">#define KMC_MULT_BY_32 0x05u</span></div>
<div class="line"><a id="l00408" name="l00408"></a><span class="lineno">  408</span> </div>
<div class="line"><a id="l00413" name="l00413"></a><span class="lineno"><a class="line" href="km_common_defs_8h.html#a27cd0723751edf3050f69ed8e6ddd5fb">  413</a></span><span class="preprocessor">#define KMC_MULT_BY_64 0x06u</span></div>
<div class="line"><a id="l00414" name="l00414"></a><span class="lineno">  414</span> </div>
<div class="line"><a id="l00419" name="l00419"></a><span class="lineno"><a class="line" href="km_common_defs_8h.html#a2ecc36b2f3c55e30ca0e4fd851692b2c">  419</a></span><span class="preprocessor">#define KMC_MULT_BY_128 0x07u</span></div>
<div class="line"><a id="l00420" name="l00420"></a><span class="lineno">  420</span> </div>
<div class="line"><a id="l00425" name="l00425"></a><span class="lineno"><a class="line" href="km_common_defs_8h.html#a5975d954f7eec3d4c8cb0c3c0ec331fc">  425</a></span><span class="preprocessor">#define KMC_MULT_BY_256 0x08u</span></div>
<div class="line"><a id="l00426" name="l00426"></a><span class="lineno">  426</span> </div>
<div class="line"><a id="l00431" name="l00431"></a><span class="lineno">  431</span><span class="preprocessor">#define KMC_CONV_MILLISECONDS_TO_SECONCS 1000UL</span></div>
<div class="line"><a id="l00432" name="l00432"></a><span class="lineno">  432</span> </div>
<div class="line"><a id="l00437" name="l00437"></a><span class="lineno">  437</span><span class="preprocessor">#define KMC_CONV_SECONCS_TO_MILLISECONDS 1000UL</span></div>
<div class="line"><a id="l00438" name="l00438"></a><span class="lineno">  438</span> </div>
<div class="line"><a id="l00443" name="l00443"></a><span class="lineno">  443</span><span class="preprocessor">#define KMC_CONV_MICROSECONDS_TO_SECONCS 1000000ULL</span></div>
<div class="line"><a id="l00444" name="l00444"></a><span class="lineno">  444</span> </div>
<div class="line"><a id="l00449" name="l00449"></a><span class="lineno">  449</span><span class="preprocessor">#define KMC_CONV_SECONCS_TO_MICROSECONDS 1000000ULL</span></div>
<div class="line"><a id="l00450" name="l00450"></a><span class="lineno">  450</span> </div>
<div class="line"><a id="l00455" name="l00455"></a><span class="lineno">  455</span><span class="preprocessor">#define KMC_CONV_MILLISECONDS_TO_MICROSECONCS 1000UL</span></div>
<div class="line"><a id="l00456" name="l00456"></a><span class="lineno">  456</span> </div>
<div class="line"><a id="l00461" name="l00461"></a><span class="lineno">  461</span><span class="preprocessor">#define KMC_CONV_MICROSECONCS_TO_MILLISECONDS 1000UL</span></div>
<div class="line"><a id="l00462" name="l00462"></a><span class="lineno">  462</span> </div>
<div class="line"><a id="l00470" name="l00470"></a><span class="lineno"><a class="line" href="km_common_defs_8h.html#adc6a659fd01ea1267db2d5548de6eb6c">  470</a></span><span class="preprocessor">#define KMC_UNUSED_8_BIT 0xffu</span></div>
<div class="line"><a id="l00471" name="l00471"></a><span class="lineno">  471</span> </div>
<div class="line"><a id="l00479" name="l00479"></a><span class="lineno"><a class="line" href="km_common_defs_8h.html#a4b2763d0054575f15e3a1a2db691b0cb">  479</a></span><span class="preprocessor">#define KMC_UNUSED_16_BIT 0xffffu</span></div>
<div class="line"><a id="l00480" name="l00480"></a><span class="lineno">  480</span> </div>
<div class="line"><a id="l00488" name="l00488"></a><span class="lineno"><a class="line" href="km_common_defs_8h.html#a3126e9b2e5b76831b6fde9d6f5e0e2d2">  488</a></span><span class="preprocessor">#define KMC_UNUSED_32_BIT 0xffffffffu</span></div>
<div class="line"><a id="l00489" name="l00489"></a><span class="lineno">  489</span> </div>
<div class="line"><a id="l00490" name="l00490"></a><span class="lineno">  490</span><span class="preprocessor">#endif </span><span class="comment">/* KM_COMMON_DEFS_H_ */</span><span class="preprocessor"></span></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="km_common_defs_8h.html">kmCommonDefs.h</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.12.0 </li>
  </ul>
</div>
</body>
</html>
